//-------- p_param.h ---------------------------------------------------------
//----------------------------------------------------------------------------
#ifndef P_PARAM_H
#define P_PARAM_H
//----------------------------------------------------------------------------
#include "precHeader.h"
//----------------------------------------------------------------------------
#ifndef PDIALOG_H_
	#include "pdialog.h"
#endif

#include "pAppl.rh"
#include "p_vect.h"
#include "pbitmap.h"
//----------------------------------------------------------------------------
struct value_name
{
  int value;
  LPTSTR name;
};
//----------------------------------------------------------------------------
class P_Param : public PDialog
{
  public:
    P_Param(struct paramCom& par, DWORD& delay, PWin* parent, uint resId = IDD_PARAM, HINSTANCE hinstance = 0);
    virtual ~P_Param();

    virtual bool create();
  protected:
    virtual LRESULT windowProc(HWND hwnd,
                            UINT message,
                            WPARAM wParam,
                            LPARAM lParam);
  private:
    void BNClickedOk();
		void fillCtrl();
    paramCom &Par;
    DWORD& Delay;
    PVect<PBitmap*> Bmp;
};
//----------------------------------------------------------------------------
#endif
