//------ progressBar.h -------------------------------------------------------
//----------------------------------------------------------------------------
#ifndef PROGRESSBAR_H_
#define PROGRESSBAR_H_
//----------------------------------------------------------------------------
#include "precHeader.h"
//----------------------------------------------------------------------------
#ifndef PDIALOG_H_
	#include "pdialog.h"
#endif
#include "pAppl.rh"
#include "p_vect.h"
#include "pbitmap.h"
#ifndef CLR_DEFAULT
	#define CLR_DEFAULT             0xFF000000L
#endif
//-------------------------------------------------------------------
class progressBar : public PDialog
{
  public:
    progressBar(PWin* parent, LPCTSTR message, DWORD max_count, COLORREF bar = CLR_DEFAULT, uint resId = IDD_PROGRESS, HINSTANCE hInstance = 0);
    virtual ~progressBar();

	  virtual bool create();

	  bool setCount(DWORD count);

  protected:
    virtual LRESULT windowProc(HWND hwnd,
                            UINT message,
                            WPARAM wParam,
                            LPARAM lParam);
  private:

    typedef PDialog baseClass;
    bool Aborted;
    LPTSTR Message;
    DWORD maxCount;
    COLORREF barColor;
    PVect<PBitmap*> Bmp;
		HWND oldFocus;
};
//----------------------------------------------------------------------------
#endif
